The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> _toupper - transliterate lowercase characters to uppercase

#### SYNOPSIS

> ``[XSI] #include <ctype.h>
> int _toupper(int` c`);``
> `
> `

#### DESCRIPTION

> The _toupper() macro shall be equivalent to toupper() except that the application shall ensure that the argument c is a lowercase letter.

#### RETURN VALUE

> Upon successful completion, _toupper() shall return the uppercase letter corresponding to the argument passed.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> islower(), toupper(), the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 7, Locale, <ctype.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

#### Issue 6

> The DESCRIPTION is updated to avoid use of the term "must" for application requirements.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]